Scoped babel packages and stricter proposals
[incubator-annotator.git] / package.json
1 {
2   "name": "@annotator/annotator",
3   "private": true,
4   "description": "Apache Annotator provides annotation enabling code for browsers, servers, and humans.",
5   "homepage": "https://annotator.apache.org",
6   "license": "Apache-2.0",
7   "author": "Apache Software Foundation",
8   "repository": {
9     "type": "git",
10     "url": "https://gitbox.apache.org/repos/asf/incubator-annotator.git"
11   },
12   "scripts": {
13     "precommit": "lint-staged",
14     "lint": "eslint . --ext js,mjs --fix --quiet",
15     "prepare": "lerna run prepare",
16     "start": "webpack-dev-server"
17   },
18   "dependencies": {
19     "@babel/runtime": "^7.0.0-beta.32"
20   },
21   "devDependencies": {
22     "@babel/core": "^7.0.0-beta.2",
23     "@babel/plugin-transform-runtime": "^7.0.0-beta.2",
24     "@babel/preset-env": "^7.0.0-beta.2",
25     "@std/esm": "^0.11.3",
26     "babel-eslint": "^8.0.2",
27     "babel-loader": "^8.0.0-beta.0",
28     "dom-highlight-range": "^1.0.1",
29     "eslint": "^4.4.0",
30     "eslint-config-prettier": "^2.0.0",
31     "eslint-import-resolver-webpack": "^0.8.0",
32     "eslint-plugin-import": "^2.7.0",
33     "eslint-plugin-node": "^5.1.1",
34     "eslint-plugin-prettier": "^2.0.0",
35     "husky": "^0.14.0",
36     "lerna": "^2.1.0",
37     "lint-staged": "^4.0.0",
38     "prettier": "^1.5.0",
39     "webpack": "^3.5.0",
40     "webpack-dev-server": "^2.7.0"
41   },
42   "engines": {
43     "node": ">=6.0.0",
44     "yarn": "^1.2.0"
45   },
46   "lint-staged": {
47     "*.{js,mjs}": "eslint"
48   },
49   "workspaces": [
50     "packages/*"
51   ]
52 }